from setuptools import setup

# Import the version information from the gbm package init file
with open('gbm/__init__.py') as f:
    exec(f.read())

setup(
    name='gbm-data-tools',
    version=__version__,
    packages=['gbm', 'gbm.background', 'gbm.binning', 'gbm.data', 'gbm.gui', 
              'gbm.lookup', 'gbm.plot', 'gbm.test', 'gbm.xspec'],
    url='',
    license='',
    author='Fermi GBM GSPEC Team',
    author_email='',
    description='',
    scripts=['bin/gspec', 'bin/getgbmdata'],
    package_data={'': ['background/plugins_for_binned_data.txt',
                      'background/plugins_for_unbinned_data.txt',
                      'binning/plugins_for_binned_data.txt',
                      'binning/plugins_for_unbinned_data.txt',
                      'xspec/gspec_models.dat',
                      'gui/spaceship_75x75.gif']},
    include_package_data=True,
    install_requires=[
        'numpy',
        'matplotlib==2.2.3',
        'scipy',
        'astropy',
    ]
)
